View Issue Details

IDProjectCategoryView StatusLast Update
13900Bug reports[All Projects] Survey designpublic2018-08-07 17:01
ReporterDenisChenu Assigned Tomarkusfluer  
PrioritynoneSeveritymajor 
Status closedResolutionreopened 
Product Version3.13.x 
Target VersionFixed in Version3.13.x 
Summary13900: Unable to update Manadtory switch widget on Question edit
Description

See Summary

Steps To Reproduce

Edit a question, try to check/uncheck Mandatory (Same with Other)

Additional Information

Switch widget on Advanced settings work

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.13.2 github
I will donate to the project if issue is resolvedNo
BrowserFF
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 13914 closedmarkusfluer Unable to see question adavanced settings 

Activities

DenisChenu

DenisChenu

2018-07-26 13:22

developer   ~48581

Still in this morning git

markusfluer

markusfluer

2018-07-26 17:11

administrator   ~48584

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27698

DenisChenu

DenisChenu

2018-07-27 14:19

developer   ~48593

Not just now : click : no action
Updating 2e6810f..3878042

ollehar

ollehar

2018-07-27 15:16

administrator   ~48594

Seems to work for me after pull.

DenisChenu

DenisChenu

2018-07-27 16:07

developer   ~48601

OK, need reset cache (todo for releasing)

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48709

Release 3.14.2+180807

Related Changesets

LimeSurvey: master 7503b524

2018-07-26 17:11:31

markusfluer

Details Diff
Fixed issue 13900: Unable to update Manadtory switch widget on Question edit Affected Issues
13900
mod - application/views/admin/survey/editLocalSettings_main_view.php Diff File
mod - assets/packages/adminbasics/build/adminbasics.debug.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
mod - assets/packages/adminbasics/src/main.js Diff File
mod - assets/packages/adminbasics/src/parts/globalMethods.js Diff File
mod - assets/scripts/admin/questions.js Diff File

Issue History

Date Modified Username Field Change
2018-07-24 08:39 DenisChenu New Issue
2018-07-25 13:39 ollehar Assigned To => markusfluer
2018-07-25 13:39 ollehar Status new => assigned
2018-07-25 13:39 ollehar Priority none => urgent
2018-07-25 13:39 ollehar Severity minor => major
2018-07-26 10:20 ollehar Priority urgent => none
2018-07-26 13:22 DenisChenu Note Added: 48581
2018-07-26 17:11 markusfluer Status assigned => resolved
2018-07-26 17:11 markusfluer Resolution open => fixed
2018-07-26 17:11 markusfluer Fixed in Version => 3.13.x
2018-07-26 17:11 markusfluer Changeset attached => LimeSurvey master 7503b524
2018-07-26 17:11 markusfluer Note Added: 48584
2018-07-27 14:19 DenisChenu Relationship added related to 13914
2018-07-27 14:19 DenisChenu Status resolved => feedback
2018-07-27 14:19 DenisChenu Resolution fixed => reopened
2018-07-27 14:19 DenisChenu Note Added: 48593
2018-07-27 15:16 ollehar Note Added: 48594
2018-07-27 16:07 DenisChenu Status feedback => resolved
2018-07-27 16:07 DenisChenu Note Added: 48601
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48709